<div class="container">
    <div class="row">
        <div class="col-md-8">
            <h2 class="title">Proizvod: {{ product.name }}</h2>
        </div>
    </div>

    <div class="row price-frame">
        <div class="col-md-6">
            <div class="slider-for main-preview">
                <div class="item">
                    <img :src="getProductImage(product.main_image.src, 'large')" :alt="product.name">
                </div>
                <div v-for="image in product.product_images" class="item">
                    <img :src="getProductImage(image.src, 'large')" :alt="product.name">
                </div>
            </div>

            <div class="slider-nav price-product">
                <div class="item">
                    <img :src="getProductImage(product.main_image.src, 'small')" :alt="product.name">
                </div>
                <div v-for="image in product.product_images" class="item">
                    <img :src="getProductImage(image.src, 'small')" :alt="product.name">
                </div>
            </div>
        </div>

        <div class="col-sm-12 col-md-6">
            <h4 class="brand">
                <img width="40px" height="30px" :src="getProductImage(product.brand.logo.src, 'medium')" :alt="product.brand.name">
                {{ product.brand.name }}
            </h4>

            <div class="price-box">
                <h3 v-if="!product.active" class="price">Proizvod nije dostupan</h3>
                <h5 v-else class="price">{{ price ? 'Cena: ' + price + ' rsd' : ('Odaberite vrednost' + (attributesValues.length == 1 ? '' : 'i') + ' za prikaz cene') }}</h5>
                <small v-if="product.price_note !== ''">* {{ product.price_note }}</small>
            </div>

            <div v-if="product.active" v-for="(attribute, index) in attributesValues" :class="attribute.attributeName == 'boja' ? 'color-picker' : 'size-picker'">
                <p>{{ attribute.attributeName.charAt(0).toUpperCase() + attribute.attributeName.slice(1) }}</p>

                <div v-for="value in attribute.values">
                    <input type="radio"
                           :id="value.value"
                           v-model="attributesValues[index].valueId"
                           @change="findProductVariant"
                           :value="value.id"/>

                    <label :for="value.value"><span :class="attribute.attributeName == 'boja' ? value.value : 'white'">{{ attribute.attributeName == 'boja' ? '' : value.value }}</span></label>
                </div>
            </div>

            <ul class="fa-ul">
                <li><span class="fa-li"><i class="fa fa-check"></i></span>Dostava na teritoriji cele Srbije.</li>
<!--                <li><span class="fa-li"><i class="fa fa-check"></i></span>Besplatna dostava za porudžbine preko 3000.00 rsd.</li>-->
                <li><span class="fa-li"><i class="fa fa-check"></i></span>Korisnička podrška i reklamacije.</li>
                <li><span class="fa-li"><i class="fa fa-check"></i></span>Garantovani kvalitet proizvoda.</li>
            </ul>

            <div v-if="product.active" class="add-product">
                <div class="plus-minus d-flex">
                    <button class="btn btn-outline-primary" @click="quantity = quantity <= 1 ? 1 : quantity - 1">
                        <i class="fas fa-minus"></i>
                    </button>

                    <input type="number" v-model="quantity" max="500" min="1">

                    <button class="btn btn-outline-primary" @click="quantity = quantity > 500 ? 500 : quantity + 1">
                        <i class="fas fa-plus"></i>
                    </button>
                </div>
                <button @click="pushToCart" class="btn btn-primary ml-3">
                    <div v-if="creatingOrder" class="spinner-border spinner-border-sm" role="status">
                        <span class="sr-only"></span>
                    </div>

                    <i v-else class="fas fa-shopping-cart"></i>

                    &nbsp;DODAJ U KORPU
                </button>
            </div>
            <p v-if="errorMessage" style="color: red">{{ errorMessage }}</p>

            <p v-if="product.height !== '' ||
                product.width !== '' ||
                product.length !== '' ||
                product.weight !== '' ||
                product.thickness !== ''">Dodatne Informacije</p>

            <small v-if="product.height !== ''">Visina: {{ product.height }} </small>
            <small v-if="product.width !== ''">Širina: {{ product.width }} </small>
            <small v-if="product.length !== ''">Dužina: {{ product.length }} </small>
            <small v-if="product.weight !== ''">Težina: {{ product.weight }} </small>
            <small v-if="product.thickness !== ''">Debljina: {{ product.thickness }} </small>
        </div>

    </div>

    <div class="row">
        <div class="col-md-5">
            <h2 class="title">Opis</h2>
        </div>
    </div>

    <div class="row">
        <div class="col-md-5">

        </div>
        <div class="col-md-7">
            <p v-html="product.description" style="white-space: pre-line;"></p>
        </div>
    </div>

    <div id="cartModal" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Moja korpa</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>Proizvod <span class="cart-modal-product">"{{ product.name }}"</span> je uspešno dodat u vašu korpu.</p>

                    <p>Cena proizvoda: {{ price }} rsd.</p>

                    <p>Odabrana količina: {{ quantity }}</p>

                    <p class="cart-modal-ammount">Ukupan iznos: {{ (price * quantity).toFixed(2) }} rsd</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Nastavi kupovinu</button>
                    <a :href="auth ? '/korpa' : '/privremena-korpa'" type="button" class="btn btn-primary">Nastavi do korpe</a>
                </div>
            </div>
        </div>
    </div>
</div>
